﻿/* MAIN NAV 
----------------------------------------------------*/
.mainnav {
    position: absolute;
    }
/* MAIN NAV CSS DROPDOWN MENU
---------------------------------------- */
.mainnav ul {
	margin: 0;
	padding: 0;
	list-style: none;
	position: relative;
	margin-right: -1px;
	}

#menu {
	top: 3px;
}


#menu li.level1nav {
    display: inline-block;
	margin-right: -1px;
    }
	
#menu li.level1nav a {
    font-family: 'Oswald', sans-serif;
    background: none;
    outline:none;
    cursor: pointer;
    position: relative;
    padding: 9px 20px 10px 20px;
    color: #000000;
	background-color: #ffffff;
	border: 1px solid #ffffff;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 500;
    text-decoration: none;
    letter-spacing: .06em;
    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    transition: all .4s ease;
	}
	

#menu li.level1nav a.selected {
	background-color: rgba(var(--brand-blue-hue), 1);
	color: #ffffff !important;
	border: 1px solid var(--brand-blue);
	}

/* CSS DROPDOWN MENU
===================================================================== */


/*  MAIN MENU / DROPDOWN SUB MENU    ================= */
#menu li.level1nav .reveal {
	opacity: 0;
	visibility: hidden;
	position: absolute;
	top: 30px;
	z-index: 2000;
	background-color: #ffffff;
	max-height: 0;
	transition: all .4s ease !important;
	overflow: hidden;
	width: 380px;
	box-shadow: 4px 4px 8px rgba(0,0,0,0.2); 
    max-width: 100%;
}

#menu li.level1nav:hover > .reveal {
	top: 38px;
	opacity: 1;
	visibility: visible;
	max-height: 600px;
	padding: 0;
	transition: all .4s ease !important;
}

#menu li.level1nav a:hover {
	background-color: rgba(var(--brand-blue-hue), 1);
	color: #ffffff;
	border: 1px solid var(--brand-blue);
	}

#menu li.level1nav:hover > a {
	background-color: rgba(var(--brand-blue-hue), 1);
	color: #ffffff;
	border: 1px solid var(--brand-blue);
	}


#menu li.level1nav .reveal a {
	display: block;
	opacity: 1;
	width: 100%;
	color: #000000;
	padding: 6px 10px 7px 20px !important;
	text-align: left;
	border-left: none !important;
	clear: both !important;
	text-decoration: none;
	font-size: 17px !important;
	box-sizing: border-box;
	font-weight: 400;
	border: none !important;
	border-bottom: 1px solid rgba(var(--brand-grey-hue), .1) !important; 
	text-transform: none;
}

.reveal a:last-child {
	border-bottom: none;
    }
    
.reveal a:hover {
    opacity: 1;
    width: 100%;
    color: var(--brand-blue) !important;
    padding-left: 26px !important;
    background-color: var(--brand-greylit) !important;
	-webkit-transition: all .3s ease!important;
    -moz-transition: all .3s ease !important;
    -o-transition: all .3s ease !important;
    transition: all .3s ease !important;
    }

.reveal a.select {
    opacity: 1;
    width: 100%;
    color: var(--brand-blue) !important;
    padding-left: 26px !important;
    background-color: var(--brand-greylit) !important;
	-webkit-transition: all .3s ease!important;
    -moz-transition: all .3s ease !important;
    -o-transition: all .3s ease !important;
    transition: all .3s ease !important;
    }

.reveal a:after {
	position: absolute;
	top: 22px;
	right: 40px;
    background-color: var(--brand-blue) !important;
	width: 20px;
	height: 1px;
    margin-left: 0;
    content: "";
	-webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
	opacity: 0;
}
    
.reveal a:hover:after {
	opacity: 1;
	right: 20px;
	-webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    transition: all .4s ease;
}



